Get Account
Get details of a specific Coinbase Business account by ID or currency code. Returns account information including balance, currency details, and account type. Ideal for: balance checks, account verification, pre-transfer validation, currency lookup.
カタログ アクション インテグレーション coinbase-business
ID または通貨コードにより、特定の Coinbase Business アカウントの詳細を取得します。残高、通貨の詳細、およびアカウントの種類を含むアカウント情報を返します。残高の確認、アカウントの検証、送金前の検証、通貨の検索に最適です。
概要
| フィールド | 値 |
|---|---|
| アクション ID | coinbase-business-get-account |
| カテゴリ | インテグレーション |
| コネクタ | coinbase-business |
| ガス必要 | いいえ |
| 資金移動 | 未宣言 |
| タグ | coinbase, accounts, crypto, finance, balance, read |
ペイロード スキーマ
| フィールド | タイプ | 必須 | 説明 |
|---|---|---|---|
accountId | string | はい | アカウント UUID または通貨コード。「USDC」、「BTC」、「ETH」などの通貨コード(自動的に解決)またはアカウント UUID のいずれかの形式を受け付けます。result.id にアカウントの UUID を返し、アドレスアクション(create-address、list-addresses など)で必要です。 |
apiKeyName | string | いいえ | CDP API キー名(コネクタをオーバーライド) |
apiKeySecret | string | いいえ | CDP API キー シークレット(コネクタをオーバーライド) |
結果スキーマ
| フィールド | タイプ | 必須 | 説明 |
|---|---|---|---|
id | string | はい | アカウント ID |
name | string | はい | アカウント名 |
type | string | はい | アカウントの種類 |
currency | object | はい | 通貨の詳細 |
balance | object | はい | アカウント残高 |
createdAt | string | はい | 作成タイムスタンプ |
updatedAt | string | はい | 最終更新タイムスタンプ |
例
json{ "type": "coinbase-business-get-account", "payload": { "accountId": "example-accountId" }, "children": [], "connector": { "type": "coinbase-business", "id": "conn_coinbase_business" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/coinbase-business-get-account/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "accountId": "example-accountId" }}'
ペイロードのフィールドでは、値がトリガー、前のノード、または再利用可能なワークフロープロパティから取得される場合、{{$trigger.body.amount}}、{{$nodes.fetch.result.price}}、および {{$props.asset}} のようなワークフロー式を使用できます。
